/* **********************
 * 整体布局
 * **********************/

/* 整体布局 */
body {
	background: #f8f8f8;
	font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto,
		Helvetica Neue, PingFang SC, Hiragino Sans GB, Microsoft YaHei,
		sans-serif;
}

#home {
	max-width: 1140px;
	padding: 15px;
	background: transparent;
	box-shadow: none;
	margin-top: 0;
	width: auto;
}

#main {
	margin-top: 15px;
}

#mainContent .forFlow {
	padding-right: 20px;
}

/* 非阅读区域去掉白色背景 */
.newsItem, .catListEssay, .catListLink, .catListNoteBook, .catListTag,
	.catListPostCategory, .catListPostArchive, .catListImageCategory,
	.catListArticleArchive, .catListView, .catListFeedback, .mySearch,
	.catListComment, .catListBlogRank, .catList, .catListArticleCategory {
	background-color: transparent;
}

/* **********************
 * 博客页首
 * **********************/

/* 隐藏系统标题 */
#blogTitle {
	display: none;
}

/* 顶部通告条 */
.c-notice {
	padding: 10px 0;
	background: tan;
	font-size: 0.9em;
	box-shadow: 0 2px 6px rgba(0, 0, 0, 0.16), 0 2px 6px rgba(0, 0, 0, 0.23);
	font-size: 15px;
}

.c-notice>div {
	max-width: 1140px;
	margin: 0 auto;
	padding: 0 15px;
}

.c-notice a {
	color: blue;
}

/* 头像和社交 */
.c-portrait {
	text-align: center;
	padding: 50px 0;
	/* background: #39424b;*/
        background: #565d65;
	color: #fff;
	margin-bottom: -40px;
        background-image: 
        url(https://images.cnblogs.com/cnblogs_com/newobjectcc/1415086/o_201223021134robots.png);
}

/* 头像 */
.c-portrait>img {
	display: inline-block;
	height: 80px;
	border-radius: 50%;
}

/* 标题和签名 */
.c-portrait h1 {
	font-size: 25px;
	font-weight: bold;
	margin: 5px 0;
}

.c-portrait h1 a {
	color: #fff;
}

.c-portrait h2 {
	font-size: 16px;
	margin: 7px 0 10px;
	color: #ccc;
}

/* 社交图标 */
.c-social a {
	color: #959da5;
	display: inline-block;
	vertical-align: middle;
}

/* **********************
 * 导航栏
 * **********************/
#navigator {
	padding: 0 10px;
	border-bottom: 2px solid #ccc;
}

#stats_article_count {
	display: none;
}

/* **********************
 * 侧边栏
 * **********************/
#sideBar {
	width: 250px;
	margin-top: 0;
}

#sideBar a {
	color: inherit;
}

/* 隐藏侧边公告标题 */
.newsItem .catListTitle {
	display: none;
}

/* 增加列表项间距 */
.sidebar-block li {
	margin-bottom: 5px;
}

/* 更改加关注颜色 */
#p_b_follow a {
    color: red;
}

/* **********************
 * 文章列表
 * **********************/

/* 文章列表 */
#topics .postTitle {
	font-size: 28px;
	margin: 35px 0 30px;
	padding-left: 0;
}

#mainContent .day {
	padding: 15px 20px;
	background: #fff;
}

#mainContent .day .postTitle a {
	display: inline-block;
}

/* **********************
 * 文章详情
 * **********************/
pre {
	margin-bottom: 1.35em;
}

pre code {
	padding: 10px 16px !important;
}

.post {
	background: #fff;
	padding: 0 60px 60px;
	box-shadow: 0 2px 6px rgba(100, 100, 100, 0.3);
}

/* 文章标题 */
.postTitle {
	border-left: 8px solid #21759b;
	margin-bottom: 5px;
	font-weight: bold;
	line-height: 1;
	box-sizing: border-box;
}

.postTitle a:hover {
	margin-left: 0;
}

/* 去除首行缩进 */
.postBody p, .postCon p {
	text-indent: 0;
}

/* 重写引用块样式 */
.postBody blockquote {
	min-height: auto;
	border-top: none;
	border-bottom: none;
	border-right: none;
	padding: 0 0 0 1em;
        background: none;
}


/* 增加底部留白 */
#cnblogs_post_body {
	padding-bottom: 5px;
       font-size: 16px;
}

/* 防止图片溢出 */
#cnblogs_post_body img {
	max-width: 100%;
}

#cnblogs_post_body h1,#cnblogs_post_body h2 {
    margin: 30px 0 10px 0;
    color: #666;
}

#cnblogs_post_body h3, #cnblogs_post_body h4{
    margin: 24px 0 10px 0;
    color: #666;
}


#cnblogs_post_body p {
   letter-spacing: 1px;
   margin: 16px auto;
}

#cnblogs_post_body pre code{
   font-size: 14px !important;
}


/* 文章底部信息 */
.postDesc {
	margin-top: 0;
}

/* **********************
 * 评论
 * **********************/

#comment_form_container .commentbox_title {
        /* width: 200px;*/
}

#comment_form_container .comment_textarea {
	width: 100%;
        /* width: calc(100% - 18px );*/
       /* height: 180px;*/
}

.comment_vote {
	padding-right: 2px;
	font-size: 14px;
	margin-top: 10px;
}

.comment_vote a.comment_digg {
	color: #f80;
}

.feedbackItem {
	margin: 20px 0 25px;
	background: #fff;
	padding: 10px 15px;
}

.feedbackCon {
	font-size: 13px;
	border-bottom: 0;
	padding: 10px 5px 0 5px;
	text-align: justify;
}

/* **********************
 * 文章评价
 * **********************/

/*#div_digg {
  position: fixed;
  right: 30px;
  bottom: 50px;
  background: #fff;
  padding: 20px 20px 15px;
  border-radius: 5px;
  border: 1px solid #888;
  box-shadow: 0 0 0 5px rgba(0, 0, 0, 0.3);
}*/

#div_digg {
	position: fixed;
	right: 0;
	bottom: 50px;
	width: auto;
}

#div_digg .diggit {
	border: 3px solid #ECC849;
	box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.6);
	background: #E7E6EB url(//static.cnblogs.com/images/upup.gif) no-repeat;
}

#div_digg .buryit {
	display: none;
}

/* **********************
 * 隐藏广告
 * **********************/
#ad_t2, #opt_under_post, .c_ad_block, #under_post_news, #under_post_kb {
	display: none !important;
}

/* **********************
 * 适配手机
 * **********************/
@media ( max-width : 767px) {
	#home {
		padding-left: 0;
		padding-right: 0;
	}
	#div_digg {
		width: auto;
		padding: 0;
		right: -25px;
		bottom: 3px;
		box-shadow: none;
	}
	#div_digg .buryit {
		display: none;
	}
	#mainContent .forFlow {
		padding-right: 0;
	}
	#mainContent .post {
		padding: 0 20px;
	}
	#sideBar, #blog-comments-placeholder {
		padding: 0 15px;
	}
}

/*版权声明*/
#MySignature {
	border: solid 1px #E5E5E5;
	/*
	background: #E5EEF7 url(//www.cnblogs.com/images/cnblogs_com/newobjectcc/1415086/t_warning.png) no-repeat scroll 15px 50%;
        */
	border: solid 1px #E5E5E5;
	padding: 8px;
	background: #E5EEF7 url(//www.cnblogs.com/images/cnblogs_com/newobjectcc/1415086/o_qrcode.jpg) no-repeat scroll 12px 50%;
	padding-left: 125px;
	background-size: 100px;
}

#MySignature div {
	line-height: 22px;
        margin: 10px 0 10px 0;
}